# Trait config::FileStoredFormat

source · [−]

    pub trait FileStoredFormat: Format {
        fn file_extensions(&self) -> &'static [&'static str];
    }

Expand description

An extension of `Format` trait.

Associates format with file extensions, therefore linking storage-agnostic notion of format to a file system.

## Required Methods

source

#### fn file_extensions(&self) -> &'static [&'static str]

Returns a vector of file extensions, for instance `[yml, yaml]`.

## Implementors

source

### impl FileStoredFormat for FileFormat